Summary: Allows restricted root access for specified users
Name: sudo
Version: 1.8.8
Release: 1
License: BSD
Group: Applications/System
URL: http://www.courtesan.com/sudo/
Source0: http://www.courtesan.com/sudo/dist/%{name}-%{version}.tar.gz
Source1: http://www.courtesan.com/sudo/dist/%{name}-%{version}.tar.gz.sig
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc >= 4.2.3-2
BuildRequires: gettext >= 0.10.40
BuildRequires: openldap-devel >= 2.4.23
BuildRequires: openssl-devel >= 1.0.1c-2
BuildRequires: zlib-devel

Requires: gettext >= 0.10.40
Requires: openldap >= 2.4.23
Requires: openssl >= 1.0.1c-2
Requires: zlib

%description
Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# starting with version 1.8.8 we need GNU GCC to compile
export CC="gcc"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

./configure \
    --prefix=%{_prefix} \
    --sbindir=%{_sbindir} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --with-logging=syslog \
    --with-logfac=auth \
    --without-pam \
    --with-env-editor \
    --with-ignore-dot \
    --with-aixauth \
    --with-ldap \
    --with-tty-tickets
make %{?_smp_mflags}

# hack to get sudo_noexec.so installed
cd src/.libs
ln -s libsudo_noexec.so sudo_noexec.so


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

chmod 0755 ${RPM_BUILD_ROOT}%{_sbindir}/* 

mkdir -p ${RPM_BUILD_ROOT}/var/run/%{name}
chmod 0700 ${RPM_BUILD_ROOT}/var/run/%{name}

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


# Make sure permissions are ok even if we're updating
%post
/usr/bin/chmod 0440 /etc/sudoers || :


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc doc/HISTORY doc/LICENSE README doc/TROUBLESHOOTING doc/UPGRADE
%attr(0440,root,system) %config(noreplace) /etc/sudoers
%dir /var/run/sudo
%attr(4111,root,system) %{_bindir}/sudo
%attr(4111,root,system) %{_bindir}/sudoedit
%attr(4111,root,system) %{_bindir}/sudoreplay
%attr(0755,root,system) %{_sbindir}/visudo
%{_libexecdir}/%{name}/*.so
%{_mandir}/man?/*
/usr/bin/*
/usr/sbin/*


%changelog
* Tue Oct 08 2013 Michael Perzl <michael@perzl.org> - 1.8.8-1
- updated to version 1.8.8

* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 1.8.7-1
- updated to version 1.8.7

* Sun Apr 14 2013 Michael Perzl <michael@perzl.org> - 1.8.6p8-1
- updated to version 1.8.6p8

* Fri Mar 01 2013 Michael Perzl <michael@perzl.org> - 1.8.6p7-1
- updated to version 1.8.6p7

* Fri Feb 01 2013 Michael Perzl <michael@perzl.org> - 1.8.6p6-1
- updated to version 1.8.6p6

* Mon Jan 28 2013 Michael Perzl <michael@perzl.org> - 1.8.6p5-1
- updated to version 1.8.6p5

* Thu Jan 17 2013 Michael Perzl <michael@perzl.org> - 1.8.6p4-1
- updated to version 1.8.6p4

* Mon Sep 24 2012 Michael Perzl <michael@perzl.org> - 1.8.6p3-1
- updated to version 1.8.6p3

* Tue Sep 18 2012 Michael Perzl <michael@perzl.org> - 1.8.6p2-1
- updated to version 1.8.6p2

* Mon Sep 17 2012 Michael Perzl <michael@perzl.org> - 1.8.6p1-1
- updated to version 1.8.6p1

* Thu Sep 06 2012 Michael Perzl <michael@perzl.org> - 1.8.6-1
- updated to version 1.8.6

* Mon Aug 20 2012 Michael Perzl <michael@perzl.org> - 1.8.5p3-1
- updated to version 1.8.5p3

* Fri Jun 01 2012 Michael Perzl <michael@perzl.org> - 1.8.5p2-1
- updated to version 1.8.5p2

* Fri May 18 2012 Michael Perzl <michael@perzl.org> - 1.8.5p1-1
- updated to version 1.8.5p1

* Fri May 18 2012 Michael Perzl <michael@perzl.org> - 1.8.4p5-1
- updated to version 1.8.4p5

* Wed Mar 14 2012 Michael Perzl <michael@perzl.org> - 1.8.4p4-1
- updated to version 1.8.4p4

* Thu Mar 01 2012 Michael Perzl <michael@perzl.org> - 1.8.4p2-1
- updated to version 1.8.4p2

* Tue Feb 21 2012 Michael Perzl <michael@perzl.org> - 1.8.4p1-1
- updated to version 1.8.4p1

* Tue Jan 31 2012 Michael Perzl <michael@perzl.org> - 1.8.3p2-1
- updated to version 1.8.3p2

* Thu Oct 27 2011 Michael Perzl <michael@perzl.org> - 1.8.3p1-1
- updated to version 1.8.3p1

* Mon Oct 24 2011 Michael Perzl <michael@perzl.org> - 1.8.3-1
- updated to version 1.8.3

* Mon Aug 22 2011 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Tue May 17 2011 Michael Perzl <michael@perzl.org> - 1.8.1p2-1
- updated to version 1.8.1p2

* Tue Apr 19 2011 Michael Perzl <michael@perzl.org> - 1.8.1p1-1
- updated to version 1.8.1p1

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Thu Mar 10 2011 Michael Perzl <michael@perzl.org> - 1.8.0-2
- fixed wrong packaging of version 1.8.0-1

* Mon Mar 07 2011 Michael Perzl <michael@perzl.org> - 1.8.0-1
- linked against OpenLDAP and thus introduced a dependency on openldap
- updated to version 1.8.0

* Mon Mar 07 2011 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Tue Jan 25 2011 Michael Perzl <michael@perzl.org> - 1.7.4p6-1
- updated to version 1.7.4p6

* Wed Jan 19 2011 Michael Perzl <michael@perzl.org> - 1.7.4p5-1
- updated to version 1.7.4p5

* Thu Sep 30 2010 Michael Perzl <michael@perzl.org> - 1.7.4p4-1
- updated to version 1.7.4p4

* Mon Aug 09 2010 Michael Perzl <michael@perzl.org> - 1.7.4p2-1
- updated to version 1.7.4p2

* Tue Aug 03 2010 Michael Perzl <michael@perzl.org> - 1.7.4-1
- updated to version 1.7.4

* Wed Jul 01 2010 Michael Perzl <michael@perzl.org> - 1.7.3-1
- updated to version 1.7.3

* Wed Jul 01 2010 Michael Perzl <michael@perzl.org> - 1.7.2p8-1
- updated to version 1.7.2p8

* Tue Jun 22 2010 Michael Perzl <michael@perzl.org> - 1.7.2p7-1
- updated to version 1.7.2p7

* Sun Mar 07 2010 Michael Perzl <michael@perzl.org> - 1.7.2p5-1
- updated to version 1.7.2p5

* Mon Mar 01 2010 Michael Perzl <michael@perzl.org> - 1.7.2p4-1
- updated to version 1.7.2p4

* Sun Feb 21 2010 Michael Perzl <michael@perzl.org> - 1.7.2p3-1
- updated to version 1.7.2p3

* Tue Dec 08 2009 Michael Perzl <michael@perzl.org> - 1.7.2p2-1
- updated to version 1.7.2p2

* Fri Aug 14 2009 Michael Perzl <michael@perzl.org> - 1.7.2p1-1
- updated to version 1.7.2p1

* Tue Jul 14 2009 Michael Perzl <michael@perzl.org> - 1.7.2-1
- updated to version 1.7.2

* Mon Apr 20 2009 Michael Perzl <michael@perzl.org> - 1.7.1-1
- updated to version 1.7.1

* Mon Dec 22 2008 Michael Perzl <michael@perzl.org> - 1.7.0-1
- updated to version 1.7.0

* Sat Nov 15 2008 Michael Perzl <michael@perzl.org> - 1.7.0rc5-1
- updated to version 1.7.0rc5

* Wed Jul 16 2008 Michael Perzl <michael@perzl.org> - 1.7.0rc2-1
- updated to version 1.7.0rc2

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 1.7b4-1
- updated to version 1.7b4

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 1.6.9p15-1
- updated to version 1.6.9p15

* Mon Mar 24 2008 Michael Perzl <michael@perzl.org> - 1.6.9p14-1
- first version for AIX V5.1 and higher
